--- old/usr/src/uts/common/dtrace/sdt_subr.c	2012-08-18 10:37:07.648695804 +0000
+++ new/usr/src/uts/common/dtrace/sdt_subr.c	2012-08-18 10:37:07.698630889 +0000
@@ -107,6 +107,7 @@
 	{ "ip", "__ip_", &stab_attr, 0 },
 	{ "tcp", "__tcp_", &stab_attr, 0 },
 	{ "udp", "__udp_", &stab_attr, 0 },
+	{ "dccp", "__dccp_", &stab_attr, 0 },
 	{ "mib", "__mib_", &stab_attr, 0 },
 	{ "fsinfo", "__fsinfo_", &fsinfo_attr, 0 },
 	{ "iscsi", "__iscsi_", &iscsi_attr, 0 },
@@ -943,6 +944,49 @@
 	{ "udp", "receive", 3, 3, "udp_t *", "udpsinfo_t *" },
 	{ "udp", "receive", 4, 4, "udpha_t *", "udpinfo_t *" },
 
+	{ "dccp", "connect-established", 0, 0, "mblk_t *", "pktinfo_t *" },
+	{ "dccp", "connect-established", 1, 1, "ip_xmit_attr_t *",
+	    "csinfo_t *" },
+	{ "dccp", "connect-established", 2, 2, "void_ip_t *", "ipinfo_t *" },
+	{ "dccp", "connect-established", 3, 3, "dccp_t *", "dccpsinfo_t *" },
+	{ "dccp", "connect-established", 4, 4, "dccph_t *", "dccpinfo_t *" },
+	{ "dccp", "connect-refused", 0, 0, "mblk_t *", "pktinfo_t *" },
+	{ "dccp", "connect-refused", 1, 1, "ip_xmit_attr_t *", "csinfo_t *" },
+	{ "dccp", "connect-refused", 2, 2, "void_ip_t *", "ipinfo_t *" },
+	{ "dccp", "connect-refused", 3, 3, "dccp_t *", "dccpsinfo_t *" },
+	{ "dccp", "connect-refused", 4, 4, "dccph_t *", "dccpinfo_t *" },
+	{ "dccp", "connect-request", 0, 0, "mblk_t *", "pktinfo_t *" },
+	{ "dccp", "connect-request", 1, 1, "ip_xmit_attr_t *", "csinfo_t *" },
+	{ "dccp", "connect-request", 2, 2, "void_ip_t *", "ipinfo_t *" },
+	{ "dccp", "connect-request", 3, 3, "dccp_t *", "dccpsinfo_t *" },
+	{ "dccp", "connect-request", 4, 4, "dccph_t *", "dccpinfo_t *" },
+	{ "dccp", "accept-established", 0, 0, "mblk_t *", "pktinfo_t *" },
+	{ "dccp", "accept-established", 1, 1, "ip_xmit_attr_t *", "csinfo_t *" },
+	{ "dccp", "accept-established", 2, 2, "void_ip_t *", "ipinfo_t *" },
+	{ "dccp", "accept-established", 3, 3, "dccp_t *", "dccpsinfo_t *" },
+	{ "dccp", "accept-established", 4, 4, "dccph_t *", "dccpinfo_t *" },
+	{ "dccp", "accept-refused", 0, 0, "mblk_t *", "pktinfo_t *" },
+	{ "dccp", "accept-refused", 1, 1, "ip_xmit_attr_t *", "csinfo_t *" },
+	{ "dccp", "accept-refused", 2, 2, "void_ip_t *", "ipinfo_t *" },
+	{ "dccp", "accept-refused", 3, 3, "dccp_t *", "dccpsinfo_t *" },
+	{ "dccp", "accept-refused", 4, 4, "dccph_t *", "dccpinfo_t *" },
+	{ "dccp", "state-change", 0, 0, "void", "void" },
+	{ "dccp", "state-change", 1, 1, "ip_xmit_attr_t *", "csinfo_t *" },
+	{ "dccp", "state-change", 2, 2, "void", "void" },
+	{ "dccp", "state-change", 3, 3, "dccp_t *", "dccpsinfo_t *" },
+	{ "dccp", "state-change", 4, 4, "void", "void" },
+	{ "dccp", "state-change", 5, 5, "int32_t", "dccplsinfo_t *" },
+	{ "dccp", "send", 0, 0, "mblk_t *", "pktinfo_t *" },
+	{ "dccp", "send", 1, 1, "ip_xmit_attr_t *", "csinfo_t *" },
+	{ "dccp", "send", 2, 2, "__dtrace_dccp_void_ip_t *", "ipinfo_t *" },
+	{ "dccp", "send", 3, 3, "dccp_t *", "dccpsinfo_t *" },
+	{ "dccp", "send", 4, 4, "__dtrace_dccp_dccph_t *", "dccpinfo_t *" },
+	{ "dccp", "receive", 0, 0, "mblk_t *", "pktinfo_t *" },
+	{ "dccp", "receive", 1, 1, "ip_xmit_attr_t *", "csinfo_t *" },
+	{ "dccp", "receive", 2, 2, "__dtrace_dccp_void_ip_t *", "ipinfo_t *" },
+	{ "dccp", "receive", 3, 3, "dccp_t *", "dccpsinfo_t *" },
+	{ "dccp", "receive", 4, 4, "__dtrace_dccp_dccph_t *", "dccpinfo_t *" },
+
 	{ "sysevent", "post", 0, 0, "evch_bind_t *", "syseventchaninfo_t *" },
 	{ "sysevent", "post", 1, 1, "sysevent_impl_t *", "syseventinfo_t *" },
 
